Skip to main content
POST
Sends a new Command

Authorizations

Authorization
string
header
required

Access Token Authentication

Path Parameters

entityId
string<uuid>
required

The id of the Entity

Query Parameters

ignoreCooldown
boolean
default:false

Ignore internal cooldowns of the Entity. Using this may result in Commands not being executed!

Body

The Command to send

A command.

type
string | null

The type of the command.

value
string | null

The value for the command.

Response

201 - application/json

Created

A command.

entityId
string<uuid> | null

The id of the entity.

id
string<uuid>

The id of the command.

status
enum<string>

Represents the different states of a command.

Available options:
Canceled,
Failed,
Pending,
Sent,
Succeeded,
Triggered
triggerTime
string<date-time>

The trigger time of command.

type
enum<string>

Represents the available command types

Available options:
Disconnect,
LimitFeedIn,
Reset,
StartCharging,
StopCharging,
StopFeedIn
value
string | null

The value for the issued command.

error
object

Represents an error that occurred when command is validated or sent.

verification
object

Represents the verification state of a command.